Bug 4535 - [UPDATE REQUEST] hostapd 2.3
: [UPDATE REQUEST] hostapd 2.3
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-10-15 16:04 MSD by Denis Silakov
Modified: 2016-01-08 23:43 MSK (History)
5 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
denis.silakov: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Denis Silakov 2014-10-15 16:04:18 MSD
We have a rather old hostapd 2.0. version 2.3 is already available with a lot of fixes.
Comment 1 Denis Silakov 2014-10-15 16:05:35 MSD
Advisory:
Updated hostapd to version 2.3. Changelog: http://w1.fi/cgit/hostap/plain/hostapd/ChangeLog

Build lists:
https://abf.io/build_lists/2305594
https://abf.io/build_lists/2305593
Comment 2 FirstLevel 2014-10-16 11:18:52 MSD
I have successfully updated and installed packages for 32 and 64 bit systems
Comment 3 Vladimir Potapov 2014-10-24 16:51:50 MSD
Я не смог запустить hostapd по инструкции из форума.
http://forum.rosalab.ru/viewtopic.php?f=39&t=2864&p=24663&hilit=%D1%82%D0%BE%D1%87%D0%BA%D0%B0+%D0%B4%D0%BE%D1%81%D1%82%D1%83%D0%BF%D0%B0#p23324
Давайте уж сразу положим в пакет рабочий в большинстве случаев конфиг?
Comment 4 Denis Silakov 2014-10-25 10:35:26 MSD
А кто может предложить такой конфиг? Я вообще один раз в жизни запускал этот hostapd...
Comment 5 Vladimir Potapov 2014-10-27 10:31:19 MSK
В доке вроде есть
http://wireless.kernel.org/en/users/Documentation/hostapd
Comment 6 Vladimir Potapov 2014-10-27 10:54:11 MSK
но у нас что-то с драйвером

hostapd hostapd.conf
Configuration file: hostapd.conf
nl80211: Could not configure driver mode
nl80211 driver initialization failed.
hostapd_free_hapd_data: Interface wlan0 wasn't started
Comment 7 Eugene Shatokhin 2014-10-27 11:21:38 MSK
(In reply to comment #6)
> но у нас что-то с драйвером
> 
> hostapd hostapd.conf
> Configuration file: hostapd.conf
> nl80211: Could not configure driver mode
> nl80211 driver initialization failed.
> hostapd_free_hapd_data: Interface wlan0 wasn't started

Интерфейс nl80211 давно уже (ещё до ядра 3.10) реализуется в драйвере cfg80211. Этот драйвер у нас есть и работает. Т.е., проблема в hostapd, а не в драйвере.
Comment 8 ans 2014-11-08 12:20:20 MSK
У меня в R3 идеально работала точка доступа с такой конфигурацией:

interface=wlan0
driver=nl80211
hw_mode=g
channel=11
ssid=NetWlan # Имя сети
wpa=2
wpa_key_mgmt=WPA-PSK
wpa_pairwise=CCMP
wpa_passphrase=12345678
Comment 9 ans 2014-11-09 14:31:49 MSK
(In reply to comment #3)
> Я не смог запустить hostapd по инструкции из форума.
> http://forum.rosalab.ru/viewtopic.
> php?f=39&t=2864&p=24663&hilit=%D1%82%D0%BE%D1%87%D0%BA%D0%B0+%D0%B4%D0%BE%D1%
> 81%D1%82%D1%83%D0%BF%D0%B0#p23324
> Давайте уж сразу положим в пакет рабочий в большинстве случаев конфиг?

Это я писал, там только содержимое конфигураций hostapd.conf, dnsmasq.conf и iptables, а нужно ещё ifcfg-wlan0, включить форвардинг, поправить masq, тогда заработает.
Comment 10 Vladimir Potapov 2014-12-01 05:36:37 MSK
(In reply to comment #1)
> Advisory:
> Updated hostapd to version 2.3. Changelog:
> http://w1.fi/cgit/hostap/plain/hostapd/ChangeLog
> 
> Build lists:
> https://abf.io/build_lists/2305594
> https://abf.io/build_lists/2305593

Контейнер протух :-(
Comment 11 Denis Silakov 2014-12-01 13:19:00 MSK
Контейнеры можно и пересоздать:

https://abf.io/build_lists/2346489
https://abf.io/build_lists/2346488

Но по сравнению с предыдущими, никаких изменений нет - в том числе, конфиг по умолчанию не изменен.

Может. отдельный баг завести на тему предоставления такого конфига из коробки?
Comment 12 Vladimir Potapov 2014-12-01 14:17:24 MSK
Там еще, в разборках на форуме, баг вылез и у Петрякова тоже.
Похоже, не очень рабочая пока штука.
Пусть будет пока в этом режиме.
Comment 13 Vladimir Potapov 2014-12-01 15:39:16 MSK
hostapd-2.3-1
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2346488/i586/main/release/
http://abf-downloads.rosalinux.ru/rosa2014.1/container/2346489/x86_64/main/release/
************************** Advisory **********************
Updated hostapd to version 2.3
**********************************************************
QA Verified
Comment 14 ans 2014-12-02 07:35:57 MSK
Не работает, применял настройки предложенные http://forum.rosalab.ru/viewtopic.php?f=53&t=4523&p=35180#p34743 

[root@ROSA-R4 ~]# service hostapd status -l
Redirecting to /bin/systemctl status -l hostapd.service
hostapd.service - Hostapd IEEE 802.11 AP, IEEE 802.1X/WPA/WPA2/EAP/RADIUS Authenticator
   Loaded: loaded (/lib/systemd/system/hostapd.service; enabled)
   Active: failed (Result: exit-code) since Вт 2014-12-02 08:25:15 YEKT; 9min ago
  Process: 4575 ExecStart=/usr/sbin/hostapd /etc/hostapd/hostapd.conf -P /run/hostapd.pid -B (code=exited, status=1/FAILURE)

дек 02 08:25:15 ROSA-R4 systemd[1]: Starting Hostapd IEEE 802.11 AP, IEEE 802.1X/WPA/WPA2/EAP/RADIUS Authenticator...
дек 02 08:25:15 ROSA-R4 hostapd[4575]: Configuration file: /etc/hostapd/hostapd.conf
дек 02 08:25:15 ROSA-R4 hostapd[4575]: Line 55: DEPRECATED: 'dump_file' configuration variable is not used anymore
дек 02 08:25:15 ROSA-R4 hostapd[4575]: nl80211: Could not configure driver mode
дек 02 08:25:15 ROSA-R4 hostapd[4575]: nl80211 driver initialization failed.
дек 02 08:25:15 ROSA-R4 hostapd[4575]: hostapd_free_hapd_data: Interface wlan0 wasn't started
дек 02 08:25:15 ROSA-R4 systemd[1]: hostapd.service: control process exited, code=exited status=1
дек 02 08:25:15 ROSA-R4 systemd[1]: Failed to start Hostapd IEEE 802.11 AP, IEEE 802.1X/WPA/WPA2/EAP/RADIUS Authenticator.
дек 02 08:25:15 ROSA-R4 systemd[1]: Unit hostapd.service entered failed state.
Comment 15 Vladimir Potapov 2014-12-02 13:20:15 MSK
Ну, значит, не работает - не можем пока починить нормально.
Comment 16 ans 2014-12-04 07:42:09 MSK
(In reply to comment #15)
> Ну, значит, не работает - не можем пока починить нормально.

Ну, будем ждать значит.
У меня на работе несколько человек сидят на R3 c точкой доступа (для смартфонов, планшетов и.т.д). 
Не могу перейти на R4 из-за текущёй проблемы.
Comment 17 Denis Silakov 2014-12-04 10:51:25 MSK
Тогда имеет смысл попробовать собрать старый hostapd отдельным пакетом. В интернете есть немало жалоб на hostapd 2.x, которые разработчики в апстриме то ли не знают, как решить, то ли просто не хотят.
Comment 18 ans 2014-12-08 20:48:11 MSK
(In reply to comment #17)
> Тогда имеет смысл попробовать собрать старый hostapd отдельным пакетом. В
> интернете есть немало жалоб на hostapd 2.x, которые разработчики в апстриме
> то ли не знают, как решить, то ли просто не хотят.

Вместо этого? 
Наверно имеет мсысл, если заработает
Comment 19 Denis Silakov 2014-12-08 23:49:08 MSK
(In reply to comment #18)

> Вместо этого? 
> Наверно имеет мсысл, если заработает

Необязательно вместо, можно под другим именем. Но естественно, поставить можно будет только один из двух пакетов. Попробую собрать чуть позже.
Comment 20 ans 2014-12-09 07:04:49 MSK
> Необязательно вместо, можно под другим именем. Но естественно, поставить
> можно будет только один из двух пакетов. Попробую собрать чуть позже.
Хорошо, проверим такой вариант
Comment 21 Denis Silakov 2014-12-09 12:10:43 MSK
Собрал в контриб пакет под названием "hostapd1"
Comment 22 ans 2014-12-09 15:43:00 MSK
(In reply to comment #21)
> Собрал в контриб пакет под названием "hostapd1"

Установил, ошибка исчезла.
По предложенной вами конфигурации подключиться не могу- http://forum.rosalab.ru/viewtopic.php?f=53&t=4523&p=35180#p34743
Завтра попробую по старой, как подключал в R3.
Comment 23 ans 2014-12-10 09:15:30 MSK
(In reply to comment #22)
> Установил, ошибка исчезла.
> По предложенной вами конфигурации подключиться не могу-
> http://forum.rosalab.ru/viewtopic.php?f=53&t=4523&p=35180#p34743
> Завтра попробую по старой, как подключал в R3.

Ошибка исчезла у hostapd:
# service hostapd status
hostapd.service - Hostapd IEEE 802.11 AP, IEEE 802.1X/WPA/WPA2/EAP/RADIUS Authenticator
   Loaded: loaded (/lib/systemd/system/hostapd.service; enabled)
   Active: active (running) since Wed 2014-12-10 10:03:57 YEKT; 2min 54s ago
  Process: 4761 ExecStart=/usr/sbin/hostapd /etc/hostapd/hostapd.conf -P /run/hostapd.pid -B (code=exited, status=0/SUCCESS)
 Main PID: 4854 (hostapd)
   CGroup: /system.slice/hostapd.service
           └─4854 /usr/sbin/hostapd /etc/hostapd/hostapd.conf -P /r...

Dec 10 10:03:56 Rosa-R5 systemd[1]: Starting Hostapd IEEE 802.11 A....
Dec 10 10:03:57 Rosa-R5 systemd[1]: PID file /run/hostapd.pid not ....
Dec 10 10:03:57 Rosa-R5 systemd[1]: Started Hostapd IEEE 802.11 AP....
Hint: Some lines were ellipsized, use -l to show in full.

Но появилась у dnsmasq, для верности, проверил:

# service dnsmasq status
Redirecting to /bin/systemctl status dnsmasq.service
dnsmasq.service - DNS caching server.
   Loaded: loaded (/lib/systemd/system/dnsmasq.service; enabled)
   Active: failed (Result: exit-code) since Ср 2014-12-10 10:07:00 YEKT; 5s ago
  Process: 7715 ExecStart=/usr/sbin/dnsmasq -k (code=exited, status=1/FAILURE)
 Main PID: 7715 (code=exited, status=1/FAILURE)

дек 10 10:07:00 Rosa-R5 systemd[1]: Started DNS caching server..
дек 10 10:07:00 Rosa-R5 dnsmasq[7715]: dnsmasq: bad dhcp-range a...
дек 10 10:07:00 Rosa-R5 systemd[1]: dnsmasq.service: main proce...E
дек 10 10:07:00 Rosa-R5 systemd[1]: Unit dnsmasq.service entere....
Hint: Some lines were ellipsized, use -l to show in full.

Проверять старым споробом R3 не стал.
Comment 24 VictorR2007 2014-12-13 06:52:49 MSK
Установил hostapd-1.1 и dnsmasq-2.63 из реп 2012.1.
Только пересобрал их для 2014.1.
Точка доступа нормально стартует.
Запускал параллельно два сервиса, NetworkManager и network.
Только убрал автоподключение для подключения к сети интернет.
Comment 25 ans 2014-12-15 07:38:58 MSK
(In reply to comment #24)
> Установил hostapd-1.1 и dnsmasq-2.63 из реп 2012.1.
> Только пересобрал их для 2014.1.
> Точка доступа нормально стартует.
> Запускал параллельно два сервиса, NetworkManager и network.
> Только убрал автоподключение для подключения к сети интернет.

Хотелось бы понятного и предсказуемого результата при выборе настроек для любого пользователя установившего Росу вне зависимости когда он начал систему использовать вчера или несколько лет назад.
Я, например, не умею пересобирать пакеты.

При определённых манипуляциях (удаление, устаноовка hostapd с 1 на 2, со 2 на 1) мне тоже удавалось запустить Wifi и с текущим dnsmasq, но подключиться к Wifi так и не удавалось (Смартфон-Андроид, ПК-Win7).
Comment 26 ans 2014-12-16 07:11:58 MSK
Установил hostapd-1.1 и dnsmasq-2.63 (пересобранную из 2012.1)
Точка доступа стартует автоматом без проблем, но подключится не даёт.
Прверял на смартфоне(Андроид) и Пк(Win7).
Comment 27 ans 2014-12-16 09:22:20 MSK
Через некоторое время:

# systemctl status network.service
network.service - LSB: Bring up/down networking
   Loaded: loaded (/etc/rc.d/init.d/network)
   Active: failed (Result: exit-code) since Вт 2014-12-16 10:17:50 YEKT; 18s ago
  Process: 13647 ExecStop=/etc/rc.d/init.d/network stop (code=exited, status=0/SUCCESS)
  Process: 15959 ExecStart=/etc/rc.d/init.d/network start (code=exited, status=1/FAILURE)

дек 16 10:17:50 R5-desktop network[15959]: RTNETLINK answers: File exists
дек 16 10:17:50 R5-desktop network[15959]: RTNETLINK answers: File exists
дек 16 10:17:50 R5-desktop network[15959]: RTNETLINK answers: File exists
дек 16 10:17:50 R5-desktop network[15959]: RTNETLINK answers: File exists
дек 16 10:17:50 R5-desktop network[15959]: RTNETLINK answers: File exists
дек 16 10:17:50 R5-desktop network[15959]: RTNETLINK answers: File exists
дек 16 10:17:50 R5-desktop network[15959]: RTNETLINK answers: File exists
дек 16 10:17:50 R5-desktop systemd[1]: network.service: control process exited, code=exited status=1
дек 16 10:17:50 R5-desktop systemd[1]: Failed to start LSB: Bring up/down networking.
дек 16 10:17:50 R5-desktop systemd[1]: Unit network.service entered failed state.
Comment 28 VictorR2007 2014-12-16 18:16:59 MSK
(In reply to comment #27)
> Через некоторое время:
> 
> # systemctl status network.service
> network.service - LSB: Bring up/down networking
>    Loaded: loaded (/etc/rc.d/init.d/network)
>    Active: failed (Result: exit-code) since Вт 2014-12-16 10:17:50 YEKT; 18s
> ago
>   Process: 13647 ExecStop=/etc/rc.d/init.d/network stop (code=exited,
> status=0/SUCCESS)
>   Process: 15959 ExecStart=/etc/rc.d/init.d/network start (code=exited,
> status=1/FAILURE)

Кстати, в дополнение к http://forum.rosalab.ru/viewtopic.php?f=53&t=4523#p35696
тоже заметил что через некоторое время в "Управлении системными службами"
сервис "network" был неактивен.
Но точка доступа работала и телик к ней подключался.
Comment 29 Denis Silakov 2016-01-08 23:43:07 MSK
Currently we have hostapd-2.3 in repos so the initial request from this bug is complete. If you still have some issues with hostapd, please file separate bugs for them.